package com.sooka.system.domain;

import com.sooka.common.core.domain.BaseEntity;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class BaseBusinessEntity extends BaseEntity {

    private String browser;
    private String ipaddress;
    private String os;

    private String secretKey;

    private String interfaceinfoId;
    private String interfaceinfoName;
    private String interfacetype;

    /** 调用者部门ID lm 20221101 add **/
    private Long deptId;

    /** 调用者部门 lm 20221101 add **/
    private String deptName;

    /** 操作状态 lm 20220810 add **/
    private Long operationStatus;

    /** 调用参数 lm 20220810 add **/
    private String param;

    /** 返回结果 lm 20220810 add **/
    private String results;

    /** 异常记录 lm 20220810 add **/
    private String exceptionLog;



}
